zenilib: zenilib/jni/external/libvorbis/lib/bitrate.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
bitrate.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <ogg/ogg.h>`
`#include "vorbis/codec.h"`
`#include "codec_internal.h"`
`#include "os.h"`
`#include "misc.h"`
`#include "bitrate.h"`

Go to the source code of this file.

## Functions

int | vorbis_bitrate_addblock (vorbis_block *vb)
void | vorbis_bitrate_clear (bitrate_manager_state *bm)
int | vorbis_bitrate_flushpacket (vorbis_dsp_state *vd, ogg_packet *op)
void | vorbis_bitrate_init (vorbis_info *vi, bitrate_manager_state *bm)
int | vorbis_bitrate_managed (vorbis_block *vb)

## Function Documentation

int vorbis_bitrate_addblock | ( | vorbis_block * | vb | ) |

Definition at line 74 of file bitrate.c.

References bitrate_manager_state::avg_bitsper, bitrate_manager_state::avg_reservoir, bitrate_manager_state::avgfloat, vorbis_dsp_state::backend_state, codec_setup_info::bi, codec_setup_info::blocksizes, private_state::bms, bitrate_manager_state::choice, vorbis_info::codec_setup, vorbis_block::internal, bitrate_manager_state::managed, bitrate_manager_state::max_bitsper, bitrate_manager_state::min_bitsper, bitrate_manager_state::minmax_reservoir, oggpack_bytes(), oggpack_write(), oggpack_writetrunc(), vorbis_block_internal::packetblob, PACKETBLOBS, vorbis_info::rate, bitrate_manager_info::reservoir_bias, bitrate_manager_info::reservoir_bits, bitrate_manager_state::short_per_long, bitrate_manager_info::slew_damp, bitrate_manager_state::vb, vorbis_block::vd, vorbis_dsp_state::vi, vi, and vorbis_block::W.

void vorbis_bitrate_clear | ( | bitrate_manager_state * | bm | ) |

Definition at line 59 of file bitrate.c.

References memset.

Referenced by vorbis_dsp_clear().

int vorbis_bitrate_flushpacket | ( | vorbis_dsp_state * | vd,
|  | ogg_packet * | op
| ) |  |

Definition at line 230 of file bitrate.c.

References ogg_packet::b_o_s, vorbis_dsp_state::backend_state, private_state::bms, ogg_packet::bytes, bitrate_manager_state::choice, ogg_packet::e_o_s, vorbis_block::eofflag, ogg_packet::granulepos, vorbis_block::granulepos, vorbis_block::internal, oggpack_bytes(), oggpack_get_buffer(), ogg_packet::packet, vorbis_block_internal::packetblob, PACKETBLOBS, ogg_packet::packetno, vorbis_block::sequence, bitrate_manager_state::vb, and vorbis_bitrate_managed().

void vorbis_bitrate_init | ( | vorbis_info * | vi,
|  | bitrate_manager_state * | bm
| ) |  |

Definition at line 29 of file bitrate.c.

References bitrate_manager_state::avg_bitsper, bitrate_manager_info::avg_rate, bitrate_manager_state::avg_reservoir, bitrate_manager_state::avgfloat, codec_setup_info::bi, codec_setup_info::blocksizes, vorbis_info::codec_setup, bitrate_manager_state::managed, bitrate_manager_state::max_bitsper, bitrate_manager_info::max_rate, memset, bitrate_manager_state::min_bitsper, bitrate_manager_info::min_rate, bitrate_manager_state::minmax_reservoir, PACKETBLOBS, vorbis_info::rate, bitrate_manager_info::reservoir_bias, bitrate_manager_info::reservoir_bits, and bitrate_manager_state::short_per_long.

Referenced by vorbis_analysis_init().

int vorbis_bitrate_managed | ( | vorbis_block * | vb | ) |

Definition at line 64 of file bitrate.c.

References vorbis_dsp_state::backend_state, private_state::bms, bitrate_manager_state::managed, and vorbis_block::vd.

Referenced by mapping0_forward(), vorbis_analysis(), and vorbis_bitrate_flushpacket().